Bug 102439 - segmentation fault when importing GPG key
segmentation fault when importing GPG key
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
http://pgp.mit.edu:11371/pks/lookup?o...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-15 01:43 EDT by Ben Liblit
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-07 20:20:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
public key which causes "rpm --import" failure (3.09 KB, text/plain)
2003-08-15 01:44 EDT, Ben Liblit
no flags Details

  None (edit)
Description Ben Liblit 2003-08-15 01:43:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030610 Galeon/1.3.7

Description of problem:
"rpm --import" consistently fails with a segmentation fault when trying to
import my public key.  The failure happens before import; no new
"gpg-pubkey-*-*" package appears in RPM's list.

Version-Release number of selected component (if applicable):
rpm-4.2-0.69

How reproducible:
Always

Steps to Reproduce:
1. Export my public key in ASCII form using:

     gpg --export -a 42692271 >key.asc

2. Become root.

3. Import this key using "rpm --import key.asc".    

Actual Results:  rpm command failed with a segmentation fault.  Key has not been
imported.

Expected Results:  rpm should have completed without segmentation faulting.  Key
should have been imported.

Additional info:

The URL cited above will give you my ASCII-armored public key as exported by
PGP.  I'll attach the same thing, exported by GnuPG, to this bug report.

Note that my key is an RSA key, not a DSA key.  The RPM documentation claims
that both are supported.  If RSA is not supported, then the documentation should
be updated and RPM should present a diagnostic error message instead of simply
failing.
Comment 1 Ben Liblit 2003-08-15 01:44:15 EDT
Created attachment 93651 [details]
public key which causes "rpm --import" failure
Comment 2 Jeff Johnson 2004-04-07 20:20:50 EDT
rpm-4.3.1 fails as follows:

# rpm --import /tmp/pubkey.asc
error: /tmp/pubkey.asc: import failed.

Assuming fixed. AFAIK RSA/MD5 is understood by rpm.
Note that rpm supports only a subset of OpenPGP.

Note You need to log in before you can comment on or make changes to this bug.